using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class GameOverScreen : UIScreen {

	//public NetworkManager manager;
	public UnityEngine.UI.Text Score;

	public override void Awake() {
	
		base.Awake();
	}

	public override void OnEnable () {
		base.OnEnable();
		
	}
	
	// Update is called once per frame
	public override void OnDisable () {
		base.OnDisable();
	}


	public override void Show(bool additional = false) {
		base.Show(additional);
		Score.text = WaveManager.instance.ScorePoints.ToString()+ "waves";
	}
	public override void Hide() {
		base.Hide();
	}

	void Update() {
		if(Input.anyKeyDown && IsShown) {
			ButtonStartLocal();
		}
	}

	public void ButtonStartLocal() {
		GameManager.Instance.Reset();
	}


	public void ButtonQuit() {
		Application.Quit();
	}
}
